#include <nemo/fmt.h>

#include "caldate.h"

static const char *daytab[7] = {
  "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
};

unsigned int caldate_fmt_dow(const struct caldate *cd, void *out)
{
  struct caldate tcd;
  int weekday;

  tcd = *cd;
  caldate_frommjd(&tcd, caldate_mjd(&tcd), &weekday, (int *)0);
  return fmt_str(out, daytab[weekday]);  /* 0 - 6 */
}
