#include <nemo/fmt.h>

#include "caldate.h"

static const char *montab[12] = {
  "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
};

unsigned int caldate_fmt_month(const struct caldate *cd, void *out)
{
  register int i;
  i = cd->month - 1;
  while (i < 0) {
    i += 12;
  }
  while (i > 11) {
    i -= 12;
  }
  return fmt_str(out, montab[i]);  /* 0 - 11 */
}
