#include <nemo/fmt.h>

#include "caldate.h"
#include "caltime.h"

unsigned int caltime_fmt_short(const struct caltime *ct, void *out)
{
  unsigned int result;
  unsigned int i;
  char *s;

  s = out;
  i = caldate_fmt(&ct->date, s);
  result = i;

  if (s) {
    s += i;
    *s++ = ' ';
  }
  result++;

  i = caltime_fmt_time(ct, s);
  result += i;

  return result;
}
