#include <nemo/fmt.h>

#include "caldate.h"
#include "caltime.h"

#define POSITIVE(z) (((z) < 0) ? -(z) : (z))

unsigned int caltime_fmt_tzoffset(const struct caltime *ct, void *out)
{
  long x;
  char *s;

  s = out;
  fmt_plusminus(s, ct->offset);

  if (s) {
    s++;
    x = POSITIVE(ct->offset);

    s[3] = (char)('0' + (x % 10));
    x /= 10;

    s[2] = (char)('0' + (x % 6));
    x /= 6;

    s[1] = (char)('0' + (x % 10));
    x /= 10;

    s[0] = (char)('0' + (x % 10));
  }

  return 5;
}
