#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/install.h>

#include "auto_prefix.h"

void hier(void);

void hier(void)
{
  h(auto_prefix, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_prefix, "lib", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include/nemo", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "man", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man3", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat3", (uid_t)install_manuid, (gid_t)-1, 0755);

  c(auto_prefix, "lib", "libdjbcal.a", (uid_t)-1, (gid_t)-1, 0644);

  c("/", "etc", "leapsecs.dat", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "include/nemo", "caldate.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "caltime.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "leapsecs.h", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "man/man3", "caldate.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caldate_fmt.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caldate_mjd.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caldate_scan.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caltime.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caltime_fmt.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caltime_scan.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "caltime_tai.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "leapsecs.3", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat3", "caldate.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caldate_fmt.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caldate_mjd.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caldate_scan.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caltime.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caltime_fmt.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caltime_scan.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "caltime_tai.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "leapsecs.0", (uid_t)install_manuid, (gid_t)-1, 0644);
}
