#ifndef NEMO_LEAPSECS_H
#define NEMO_LEAPSECS_H

#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/tai.h>

#ifdef __cplusplus
extern "C" {
#endif

int	leapsecs_init(void);
int	leapsecs_read(void);

void		leapsecs_add(struct tai *t, unsigned int hit);
unsigned int	leapsecs_sub(struct tai *t);

#ifdef __cplusplus
}
#endif

#endif
