#include "leapsecs.h"

/* XXX: breaks tai encapsulation */

extern struct tai *leapsecs;
extern unsigned int leapsecs_num;

void leapsecs_add(struct tai *t, unsigned int hit)
{
  register unsigned int i;
  register uint64_t u;

  if (leapsecs_init() < 0) return;

  u = t->x;

  for (i = 0; i < leapsecs_num; ++i) {
    if (u < leapsecs[i].x) break;
    if (!hit || (u > leapsecs[i].x)) {
      ++u;
    }
  }

  t->x = u;
}
