#include "leapsecs.h"

/* XXX: breaks tai encapsulation */

extern struct tai *leapsecs;
extern unsigned int leapsecs_num;

unsigned int leapsecs_sub(struct tai *t)
{
  unsigned int i;
  uint64_t u;
  uint64_t s;

  if (leapsecs_init() < 0) return 0;

  u = t->x;
  s = 0;

  for (i = 0; i < leapsecs_num; ++i) {
    if (u < leapsecs[i].x) break;
    ++s;
    if (u == leapsecs[i].x) {
      t->x = u - s;
      return 1;
    }
  }

  t->x = u - s;
  return 0;
}
